petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMalloc5

Allocates 5 arrays of memory, all aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc5(size_t m1,type **r1,size_t m2,type **r2,size_t m3,type **r3,size_t m4,type **r4,size_t m5,type **r5)

Not Collective

### Input Parameters

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| m2 | - number of elements to allocate in 2nd chunk (may be zero)
| m3 | - number of elements to allocate in 3rd chunk (may be zero)
| m4 | - number of elements to allocate in 4th chunk (may be zero)
| m5 | - number of elements to allocate in 5th chunk (may be zero)

### Output Parameters

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk
| r3 | - memory allocated in third chunk
| r4 | - memory allocated in fourth chunk
| r5 | - memory allocated in fifth chunk

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc2(), PetscCalloc5(), PetscFree5()

### Level

developer

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages